#include <bits/stdc++.h>
using namespace std;
long long cifra, novcanica[200], s[10000],br=0;
int main() {
cin >> cifra;
s[1]=1;
for (int i = 2; i <= 19; i++) {
    s[i] = s[i-1]*10;
}
novcanica[1]=1;
novcanica[2]=2;
novcanica[3]=5;

for (int i = 1; i <= 57; i+=3) {
novcanica[i] = s[i/3+1];
novcanica[i+1] = 2*s[i/3+1];
novcanica[i+2] = 5*s[i/3+1];
}

    for (int i = 57; i > 0; i--) {
        while (cifra >= novcanica[i]) {
            cifra -= novcanica[i];
            br++;
        }
    }
    cout << br << endl;
return 0;
}